/* ----- Workqueue ----- */
#include <zephyr.h>

/* ----- Constants ----- */
#define STACKSIZE 512
#define PRIORITY 5

K_THREAD_STACK_DEFINE(stackarea, STACKSIZE);

/* ----- Function  ----- */
void print_workqueue(struct k_work *work)
{
    printk("Workqueue is running \n");
}
				
void main(void)
{
/* ----- Workqueue ----- */  
    struct k_work work;
    struct k_work_q my_work_q;
    k_work_init(&work, print_workqueue);
    k_work_q_start(&my_work_q, stackarea, /*New-line*/
          K_THREAD_STACK_SIZEOF(stackarea), PRIORITY);

    while(1)
    {
        k_work_submit(&work); //Add item to workqueue
        k_msleep(2500);	
    }
}